Package com.sas.lsaf.workflow.task

## Class UserTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task
      - - com.sas.lsaf.workflow.task.UserTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `UserTaskUpdateInfo`

      public class UserTask
      extends Task

  The class that represents a user task that is in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.task.Task

      `Task.Complexity, Task.Priority, Task.TaskStatus`

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created, java.util.Date started, Task.TaskStatus taskStatus, java.util.List<Attribute> attributes, java.lang.String assignee, java.util.Date assigned, Task.Priority priority, Task.Complexity complexity, java.util.Date dueDate, float actualHours)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getActualHours()` | Gets the hours worked on the task by the current assignee since the task was started.
    `java.util.Date` | `getAssigned()` | Gets the date on which the user task was assigned.
    `java.lang.String` | `getAssignee()` | Gets the identifier of the user who is assigned to the user task.
    `Task.Complexity` | `getComplexity()` | Gets the complexity of the user task.
    `java.util.Date` | `getDueDate()` | Gets the due date of the user task.
    `Task.Priority` | `getPriority()` | Gets the priority of the user task.
    `void` | `setActualHours​(float actualHours)` | Sets the hours worked on the task by the current assignee since the task was started.
    `void` | `setAssignee​(java.lang.String assignee)` | Sets the identifier of the user who is assigned to the user task.
    `void` | `setComplexity​(Task.Complexity complexity)` | Sets the complexity of the user task.
    `void` | `setDueDate​(java.util.Date dueDate)` | Sets the due date of the user task.
    `void` | `setPriority​(Task.Priority priority)` | Sets the priority of the user task.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.task.Task

      `getAttributes, getStarted, getTaskStatus, setAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTask

          public UserTask​(java.lang.String typeId,
                          java.lang.String id,
                          java.lang.String elementId,
                          java.lang.String name,
                          java.lang.String description,
                          Element.ElementType type,
                          ProcessFlowDescriptor.FlowStatus flowStatus,
                          java.lang.String processFlowId,
                          java.util.Date created,
                          java.util.Date started,
                          Task.TaskStatus taskStatus,
                          java.util.List<Attribute> attributes,
                          java.lang.String assignee,
                          java.util.Date assigned,
                          Task.Priority priority,
                          Task.Complexity complexity,
                          java.util.Date dueDate,
                          float actualHours)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the user tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `flowStatus` - The status of the process flow that contains the task.
        `processFlowId` - The identifier of the process flow that contains the task.
        `created` - The date on which the task was created.
        `started` - The date on which the task was started.
        `taskStatus` - The status of the task.
        `attributes` - The extended attributes of the task.
        `assignee` - The userId of the user who is assigned to the user task.
        `assigned` - The date on which the user task was assigned.
        `priority` - The priority of the user task.
        `complexity` - The complexity of the user task.
        `dueDate` - The due date of the user task.
        `actualHours` - The hours worked on the task by the current assignee since the task was started.

  - ### Method Detail

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the due date of the user task.
      Returns:
        The due date.

    - #### setDueDate

          public void setDueDate​(java.util.Date dueDate)

      Sets the due date of the user task.
      Parameters:
        `dueDate` - The due date.

    - #### getComplexity

          public Task.Complexity getComplexity()

      Gets the complexity of the user task.
      Returns:
        The complexity.

    - #### setComplexity

          public void setComplexity​(Task.Complexity complexity)

      Sets the complexity of the user task.
      Parameters:
        `complexity` - The complexity.

    - #### getPriority

          public Task.Priority getPriority()

      Gets the priority of the user task.
      Returns:
        The priority.

    - #### setPriority

          public void setPriority​(Task.Priority priority)

      Sets the priority of the user task.
      Parameters:
        `priority` - The priority.

    - #### getAssignee

          public java.lang.String getAssignee()

      Gets the identifier of the user who is assigned to the user task.
      Returns:
        The assignee.

    - #### setAssignee

          public void setAssignee​(java.lang.String assignee)

      Sets the identifier of the user who is assigned to the user task.
      Parameters:
        `assignee` - The identifier of the user who is assigned to the task.

    - #### getAssigned

          public java.util.Date getAssigned()

      Gets the date on which the user task was assigned.
      Returns:
        The date.

    - #### getActualHours

          public float getActualHours()

      Gets the hours worked on the task by the current assignee since the task was started. If a started task is reassigned, the actual hours reset to 0 for the new assignee.
      Returns:
        The actual hours.

    - #### setActualHours

          public void setActualHours​(float actualHours)

      Sets the hours worked on the task by the current assignee since the task was started.
      Parameters:
        `actualHours` - The actual hours.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Element`